<?php
session_start(); 
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
extract($_POST);
$continuar=0;
 $id_cd=$sesion->id;


			
			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	};
$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$centro";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$usuario = $rp3->nombre;
$qp4 = "select usuarios_ci_idusuarios_ci as elvta, consec, horat, fechat, cdentrega, statusentrega, tipostr_idtipostr from transacciones where idtransacciones=$pedido";
   $cp4 = mysqli_query($conexion, $qp4) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp4 = mysqli_fetch_object($cp4);	
	$elvta = $rp4->elvta;
	$consec = $rp4->consec;		
	$lahora = $rp4->horat;	
	$eldia = $rp4->fechat;
	$entrega = $rp4->cdentrega;	
	$status = $rp4->statusentrega;
	$tiponota = $rp4->tipostr_idtipostr;
$qp42 = "select cantidad, puntos, efectivo, deposito, tarjeta, regalias, voucher, porpagar from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where transacciones.idtransacciones=$pedido";
   $cp42 = mysqli_query($conexion, $qp42) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp42 = mysqli_fetch_object($cp42);	
	$pagado = $rp42->cantidad;
	$puntos = $rp42->puntos;		
	$efectivo = $rp42->efectivo;	
	$deposito = $rp42->deposito;
	$regalias = $rp42->regalias;	
	$voucher = $rp42->voucher;		
	$tarjeta = $rp42->tarjeta;	
	$porpagar = $rp42->porpagar;	
	
$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$noment = $rp3->nombre;
	
	$qPP = "select id_prod, nombreProd, precio, puntos, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$pedido order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));



echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Informaci&oacute;n de Pedido</b></font><br><br>
Realizado el d&iacute;a $lafecha $eldia a las $lahora<br>
<table width=\"330\" border=\"1\">
<tr align=\"center\" bgcolor=\"#594106\">
<td><font color=\"#FFFFFF\"><b>No. Pedido $elvta"."-"."$consec</b></font></td>
<td><font color=\"#FFFFFF\"><b> Transacci&oacute;n $pedido </b></font></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>Pedido Realizado por:</td>
<td> <b>$centro $usuario</b></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>CD de entrega:</td>
<td> <b>$entrega $noment</b></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>Status de entrega:</td>
<td> <b>$status</b</td>
</tr></table>
<br>

Nombre: $dg_nom $dg_apP $dg_apM <b> $dg_rfc</b>
<br><br> <table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Precio</th><th>Puntos</th><th>Cantidad</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			<td align=\"center\">$ $objetoPP->precio</td><td align=\"center\">$objetoPP->puntos</td>
		
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cant</td>

		

		  </tr> 

		 ";

   

}
echo"</table><br>Descripci&oacute;n del pago:<br>

<table border=\"1\">
<th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th>
<tr align=\"center\"><td>$ $pagado</td><td>$puntos</td><td>$ $efectivo</td><td>$ $deposito</td><td>$ $tarjeta</td><td>$regalias</td><td>$voucher</td><td>$porpagar</td></tr></table>
<br>
";
if($regalias>0){
	$qp3 = "select regs2.idreg, nombre, appat, apmat, month(fechap)as elmes, year(fechap)as elano from regs2 join asignaregs on asignaregs.idreg=regs2.idreg join inversionista on
	inversionista.id_inver=regs2.id_inver where idtransacciones=$pedido";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$idreg = $rp3->idreg;
	$nombred = $rp3->nombre." ".$rp3->appat." ".$rp3->apmat;
	$mesr = $rp3->elmes-1;
	$anor = $rp3->elano;
	
	switch($mesr){
		case 0: $elbco="Diciembre"; $anor=$anor-1; break;
		case 1: $elbco="Enero"; break;
		case 2: $elbco="Febrero"; break;
		case 3: $elbco="Marzo"; break;
		case 4: $elbco="Abril"; break;
		case 5: $elbco="Mayo"; break;
		case 6: $elbco="Junio"; break;
		case 7: $elbco="Julio"; break;
		case 8: $elbco="Agosto"; break;
		case 9: $elbco="Septiembre"; break;
		case 10: $elbco="Octubre"; break;
		case 11: $elbco="Noviembre"; break;
	}
	echo"Detalles de las regal&iacute;as Utilizadas:
	<br><table border=\"1\">
	<tr><th>ID Regal&iacute;a: </th><th>A favor de: </th><th>Fecha Reg:</th></tr>
	<tR align=\"center\"><td><b>$idreg</b></td><td><b>$nombred</b></td><td><b>$elbco $anor</b></td></tr></table><br>";
	
}
if($voucher>0){
	$qp3 = "select voucher.idv, nombre, appat, apmat from voucher join asignavoucher on asignavoucher.idv=voucher.idv join inversionista on
	inversionista.id_inver=voucher.id_inv where idtransacciones=$pedido";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$idv = $rp3->idv;
	$nombred = $rp3->nombre." ".$rp3->appat." ".$rp3->apmat;
	
	echo"Detalles del voucher utilizado:
	<br><table border=\"1\">
	<tr><th>ID Voucher: </th><th>A favor de: </th></tr>
	<tR align=\"center\"><td><b>$idv</b></td><td><b>$nombred</b></td></tr></table><br>";
	
}
if($deposito>0){
	$qp3 = "select no_ficha, banco_idbanco, fechad from depositos where transacciones_idtransacciones=$pedido";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$noficha = $rp3->no_ficha;
	$banco = $rp3->banco_idbanco;
	$fechad = $rp3->fechad;
	
	$qp6="select cuenta from bancos where idbanco='$banco'";
        $qqp6=mysqli_query($conexion, $qp6) or die ("Error nombre banco: ".mysqli_error($conexion));
        $fgh=mysqli_fetch_object($qqp6);
        $banconame=$fgh->cuenta;
	echo"Detalles del Dep&oacute;sito:
	<br><table border=\"1\"><tR><tD>Banco: </td><td><b>$banconame</b></td> <td>Folio: </tD><td><b>$noficha</b></td><td> Fecha:</td><td><b>$fechad</b></td></tr></table><br><br>";
	
}




?>

